MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001495XdebugFeature/Change requestpublic2017-11-22 15:502017-12-02 18:36
Reporterraptor235 
Assigned Toderick 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.5.5 
Target Version2.6.0Fixed in Version2.6.0alpha1 
Summary0001495: file_link_format add filter for doc root
DescriptionWhen using var_dump to dump data onto the screen and your document root is long the var_dumps are very long...

It would be great to be able to specify the docroot for the server path so that portion of the file string can be stripped out and we are only left with the directory within the project and filename and line number.

This would preserve important information to the user they want to see and reduce how much space the var_dump prefix takes up.
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4
Attached Files

- Relationships

-  Notes
(0004477)
derick (administrator)
2017-11-22 19:52

Would doing this instead help?

https://bugs.xdebug.org/view.php?id=1323 [^]

It doesn't use that for the var_dump() path yet, but I can easily change that.
(0004495)
derick (administrator)
2017-11-25 09:16

Implemented for Xdebug 2.6 according to the changes for 0001323.

- Issue History
Date Modified Username Field Change
2017-11-22 15:50 raptor235 New Issue
2017-11-22 19:52 derick Note Added: 0004477
2017-11-22 19:52 derick Assigned To => derick
2017-11-22 19:52 derick Status new => feedback
2017-11-25 09:16 derick Note Added: 0004495
2017-11-25 09:16 derick Status feedback => closed
2017-11-25 09:16 derick Resolution open => fixed
2017-11-25 09:16 derick Fixed in Version => 2.6.0dev
2017-11-25 09:16 derick Target Version => 2.6.0dev
2017-12-02 15:57 derick Fixed in Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:34 derick Target Version 2.6.0dev => 2.6.0alpha1
2017-12-02 18:36 derick Target Version 2.6.0alpha1 => 2.6.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker